#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>
#include <unistd.h>

#define FILENAME "/proc/lkh/bug02"
#define BUFLEN 128

int main(void)
{
    int fd, c;
    char buffer[BUFLEN];
    
    fd = open(FILENAME, O_RDONLY);
    if (fd == -1) {
        perror(FILENAME);
        return 1;
    }
    c = read(fd, buffer, BUFLEN);
    if (c == -1) {
        perror(FILENAME);
        return 1;
    }
    buffer[c]='\0';
    printf("Read from %s: %s\n", FILENAME, buffer);
    if (close(fd) == -1) {
        perror(FILENAME);
        return 1;
    }
    return 0;
}

